hbase-issues mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "stack (JIRA)" <j...@apache.org>
Subject [jira] [Updated] (HBASE-7940) Upgrade version to 0.97-SNAPSHOT in pom.xml files
Date Tue, 26 Feb 2013 18:22:13 GMT

     [ https://issues.apache.org/jira/browse/HBASE-7940?page=com.atlassian.jira.plugin.system.issuetabpanels:all-tabpanel
]

stack updated HBASE-7940:
-------------------------

    Attachment: 7940v2.txt

Thanks for diggingin on this Ted.  I changed the top-level pom but did not realize we had
hard-coded versions in all submodules.

How about this patch.  It has us set version once in one place.
                
> Upgrade version to 0.97-SNAPSHOT in pom.xml files
> -------------------------------------------------
>
>                 Key: HBASE-7940
>                 URL: https://issues.apache.org/jira/browse/HBASE-7940
>             Project: HBase
>          Issue Type: Bug
>            Reporter: Ted Yu
>            Assignee: Ted Yu
>             Fix For: 0.98.0
>
>         Attachments: 7940.txt, 7940v2.txt
>
>
> In trunk build #3898:
> {code}
> [ERROR] The build could not read 5 projects -> [Help 1]
> [ERROR]   
> [ERROR]   The project org.apache.hbase:hbase-server:0.95-SNAPSHOT (/x1/jenkins/jenkins-slave/workspace/HBase-TRUNK/trunk/hbase-server/pom.xml)
has 10 errors
> [ERROR]     'dependencies.dependency.version' for org.apache.hbase:hbase-protocol:jar
is missing. @ line 268, column 17
> [ERROR]     'dependencies.dependency.version' for org.apache.hbase:hbase-client:jar is
missing. @ line 272, column 17
> [ERROR]     'dependencies.dependency.version' for org.apache.hbase:hbase-prefix-tree:jar
is missing. @ line 276, column 17
> [ERROR]     'dependencies.dependency.version' for org.apache.hbase:hbase-common:test-jar
is missing. @ line 282, column 17
> [ERROR]     'dependencies.dependency.version' for org.apache.hbase:hbase-hadoop-compat:jar
is missing. @ line 287, column 17
> [ERROR]     'dependencies.dependency.artifactId' for org.apache.hbase:${compat.module}:jar
with value '${compat.module}' does not match a valid id pattern. @ line 300, column 19
> [ERROR]     'dependencies.dependency.artifactId' for org.apache.hbase:${compat.module}:test-jar
with value '${compat.module}' does not match a valid id pattern. @ line 305, column 19
> [ERROR]     'dependencies.dependency.version' for io.netty:netty:jar is missing. @ line
311, column 17
> [ERROR]     'dependencies.dependency.version' for org.codehaus.jettison:jettison:jar
is missing. @ line 477, column 17
> [ERROR]     'dependencies.dependency.version' for org.cloudera.htrace:htrace:jar is missing.
@ line 482, column 17
> [ERROR]   
> [ERROR]   The project org.apache.hbase:hbase-client:0.95-SNAPSHOT (/x1/jenkins/jenkins-slave/workspace/HBase-TRUNK/trunk/hbase-client/pom.xml)
has 4 errors
> [ERROR]     'dependencies.dependency.version' for org.apache.hbase:hbase-prefix-tree:jar
is missing. @ line 61, column 21
> [ERROR]     'dependencies.dependency.version' for org.apache.hbase:hbase-common:test-jar
is missing. @ line 65, column 21
> [ERROR]     'dependencies.dependency.version' for org.apache.hbase:hbase-protocol:jar
is missing. @ line 70, column 21
> [ERROR]     'dependencies.dependency.version' for org.cloudera.htrace:htrace:jar is missing.
@ line 83, column 21
> [ERROR]   
> [ERROR]   The project org.apache.hbase:hbase-it:0.95-SNAPSHOT (/x1/jenkins/jenkins-slave/workspace/HBase-TRUNK/trunk/hbase-it/pom.xml)
has 1 error
> [ERROR]     'dependencies.dependency.version' for org.apache.hbase:hbase-common:test-jar
is missing. @ line 135, column 17
> [ERROR]   
> [ERROR]   The project org.apache.hbase:hbase-examples:0.95-SNAPSHOT (/x1/jenkins/jenkins-slave/workspace/HBase-TRUNK/trunk/hbase-examples/pom.xml)
has 1 error
> [ERROR]     'dependencies.dependency.version' for org.apache.hbase:hbase-common:test-jar
is missing. @ line 46, column 17
> [ERROR]   
> [ERROR]   The project org.apache.hbase:hbase-hadoop1-compat:0.95-SNAPSHOT (/x1/jenkins/jenkins-slave/workspace/HBase-TRUNK/trunk/hbase-hadoop1-compat/pom.xml)
has 3 errors
> [ERROR]     'dependencies.dependency.version' for org.apache.hbase:hbase-hadoop-compat:jar
is missing. @ line 57, column 17
> [ERROR]     'dependencies.dependency.version' for org.apache.hadoop:hadoop-core:jar must
be a valid version but is '${hadoop-one.version}'. @ line 71, column 16
> [ERROR]     'dependencies.dependency.version' for org.apache.hadoop:hadoop-test:jar must
be a valid version but is '${hadoop-one.version}'. @ line 107, column 16
> [ERROR] 
> {code}
> This was due to version in pom.xml files for various modules not being updated.

--
This message is automatically generated by JIRA.
If you think it was sent incorrectly, please contact your JIRA administrators
For more information on JIRA, see: http://www.atlassian.com/software/jira

Mime
View raw message